﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls;
using ComboboxColumn;
using System.Collections.ObjectModel;
using System.Windows.Controls;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ((GridViewComboBoxColumn)this.pilotsGrid.Columns["Country"]).ItemsSource = Country.GetCountries();
            this.AddHandler(RadComboBox.SelectionChangedEvent, new SelectionChangedEventHandler(onSelectionChanged));
        }

        private void onSelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (e.RemovedItems.Count > 0)
            {
                this.pilotsGrid.CommitEdit();
            }
        }

        private void pilotsGrid_AddingNewDataItem(object sender, Telerik.Windows.Controls.GridView.GridViewAddingNewEventArgs e)
        {
            e.NewObject = new Pilot("Test", "Pilot", 2);
        }

        private void pilotsGrid_RowEditEnded(object sender, GridViewRowEditEndedEventArgs e)
        {

        }
    }
}
